Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.unprice.dev/llms.txt

Use this file to discover all available pages before exploring further.

The Unprice API uses HTTP methods and generally follow the schema:
https://api.unprice.dev/{version}/{service}/{method}
For example GET https://api.unprice.dev/v1/plans/getPlanVersion to get the configuration of a plan.

HTTP Methods

We strictly use only GET and POST methods. PUT and DELETE are not used.

GET

GET methods are used for reading data. Filtering, sorting, or pagination is done via query parameters.
curl "https://api.unprice.dev/v1/plans/getPlanVersion/plan_123"
  -H "Authorization: Bearer <API_KEY>"

POST

POST methods are used for creating, updating, and deleting data. Data is passed as application/json in the request body.
curl -XPOST "https://api.unprice.dev/v1/plans/listPlanVersions"
  -H "Authorization: Bearer <API_KEY>"
  -H "Content-Type: application/json"
  -d '{
    "onlyPublished": true,
    "onlyEnterprisePlan": false,
    "onlyLatest": true,
    "billingInterval": "month",
    "currency": "USD"
  }'